{% extends "base_wagtail_page.html" %}

{% load leaflet_tags %}
{% load roadbook_tags %}
{% load static %}
{% load wagtailcore_tags %}

{% block extra_css %}
    {% leaflet_css %}
    <link rel="stylesheet" type="text/x-scss" href="{% static 'roadbook/scss/roadbook.scss' %}">
{% endblock %}

{% block extra_early_uncompressed_js %}
    {% leaflet_js %}
{% endblock %}

{% block extra_js %}
    <script type="text/javascript" src="{% static 'roadbook/js/leaflet.icon.glyph/Leaflet.Icon.Glyph.js' %}"></script>
    <script type="text/javascript" src="{% static 'roadbook/js/jquery.ajax-retry/jquery.ajax-retry.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'roadbook/js/roadbook.js' %}"></script>
{% endblock %}

{% block extra_uncompressed_js %}
    {% roadbook_map page.get_legs %}
    <script type="text/javascript">
        ottbRoadbook.pagination.max_page = {{ page.get_paginator.num_pages }};
    </script>
{% endblock %}
